> ## Documentation Index > Fetch the complete documentation index at: https://docs.britive.com/llms.txt > Use this file to discover all available pages before exploring further. # Approve/Reject/Revoke a specified request ## OpenAPI ````json PATCH /api/v1/approvals/{id} { "openapi": "3.0.1", "info": { "title": "Secret Manager APIs", "version": "v1", "description": "API documentation for Secret Manager, Policy Administration, Notifications, Approval service, etc." }, "servers": [ { "url": "https://{tenantURL}", "description": "The primary server", "variables": { "tenantURL": { "default": "test.britive-app.com", "description": "The host of the server" } } } ], "security": [ { "bearerAuth": [] } ], "tags": [ { "name": "Approvals" }, { "name": "Notification Service" }, { "name": "Policy Administration" }, { "name": "Secrets Manager" }, { "name": "Secret Rotation" } ], "paths": { "/api/v1/approvals/{id}": { "patch": { "tags": [ "Approvals" ], "summary": "Approve/Reject/Revoke a specified request", "operationId": "handleApproval", "parameters": [ { "name": "approveRequest", "in": "query", "required": "true", "schema": { "pattern": "\\s*(yes|no|revoke)\\s*", "type": "string", "enum": [ "yes", "no", "revoke" ] } }, { "name": "id", "in": "path", "required": "true", "schema": { "type": "string" } }, { "name": "killSession", "in": "query", "required": "false", "schema": { "type": "boolean", "default": "true" } } ], "responses": { "200": { "description": "successful operation", "content": { "application/json": { "schema": { "type": "object" } } } } } } } }, "components": { "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer" } } } } ````